GNU Radio 2.x: gr_error_handler Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_error_handler Class Reference

`#include <gr_error_handler.h>`

Inheritance diagram for gr_error_handler:

[legend]
List of all members.

## Detailed Description

abstract error handler

## Public Types
enum | seriousness { ERR_DEBUG = 0x00000000, ERR_MESSAGE = 0x00010000, ERR_WARNING = 0x00020000, ERR_ERROR = 0x00030000, ERR_FATAL = 0x00040000 }
## Public Member Functions
| gr_error_handler ()
virtual | ~gr_error_handler ()
void | debug (const char *format,...)
void | message (const char *format,...)
void | warning (const char *format,...)
void | error (const char *format,...)
void | fatal (const char *format,...)
virtual int | nwarnings () const =0
virtual int | nerrors () const =0
virtual void | reset_counts ()=0
void | verror (seriousness s, const char *format, va_list)
void | verror_text (seriousness s, const std::string &text)
## Static Public Member Functions
static gr_error_handler * | default_handler ()
static gr_error_handler * | silent_handler ()
static bool | has_default_handler ()
static void | set_default_handler (gr_error_handler *errh)
## Protected Member Functions
virtual void | count_error (seriousness s)=0
virtual void | handle_text (seriousness s, const std::string &str)=0
std::string | make_text (seriousness s, const char *format, va_list)

## Member Enumeration Documentation

enum gr_error_handler::seriousness

  | Enumeration values:
  ERR_DEBUG |
  ERR_MESSAGE |
  ERR_WARNING |
  ERR_ERROR |
  ERR_FATAL |

## Constructor & Destructor Documentation

gr_error_handler::gr_error_handler | ( |  | ) | `[inline]`

gr_error_handler::~gr_error_handler | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void gr_error_handler::count_error | ( | seriousness | s | ) | `[protected, pure virtual]`

| Implemented in gr_base_error_handler.

void gr_error_handler::debug | ( | const char * | format,
|  |  | ...
| ) |

gr_error_handler * gr_error_handler::default_handler | ( |  | ) | `[static]`

void gr_error_handler::error | ( | const char * | format,
|  |  | ...
| ) |

void gr_error_handler::fatal | ( | const char * | format,
|  |  | ...
| ) |

virtual void gr_error_handler::handle_text | ( | seriousness | s,
|  | const std::string & | str
| ) | `[protected, pure virtual]`

| Implemented in gr_silent_error_handler, and gr_file_error_handler.

bool gr_error_handler::has_default_handler | ( |  | ) | `[static]`

std::string gr_error_handler::make_text | ( | seriousness | s,
|  | const char * | format,
|  | va_list |
| ) | `[protected]`

void gr_error_handler::message | ( | const char * | format,
|  |  | ...
| ) |

virtual int gr_error_handler::nerrors | ( |  | ) | const`[pure virtual]`

| Implemented in gr_base_error_handler.

virtual int gr_error_handler::nwarnings | ( |  | ) | const`[pure virtual]`

| Implemented in gr_base_error_handler.

virtual void gr_error_handler::reset_counts | ( |  | ) | `[pure virtual]`

| Implemented in gr_base_error_handler.

void gr_error_handler::set_default_handler | ( | gr_error_handler * | errh | ) | `[static]`

gr_error_handler * gr_error_handler::silent_handler | ( |  | ) | `[static]`

void gr_error_handler::verror | ( | seriousness | s,
|  | const char * | format,
|  | va_list |
| ) |

void gr_error_handler::verror_text | ( | seriousness | s,
|  | const std::string & | text
| ) |

void gr_error_handler::warning | ( | const char * | format,
|  |  | ...
| ) |

The documentation for this class was generated from the following files:

- gr_error_handler.h
- gr_error_handler.cc